SIGPAUSE(2)

NAME
sigpause - atomically release blocked signals and wait for interrupt

SYNOPSIS
sigpause(sigmask)
int sigmask;

DESCRIPTION
Sigpause assigns sigmask to the set of masked signals and then waits for a signal to arrive; on return the set of masked signals is restored. Sigmask is usually 0 to indicate that no signals are now to be blocked. Sigpause always terminates by being interrupted, returning -1 with errno set to EINTR.

In normal usage, a signal is blocked using sigblock(2), to begin a critical section, variables modified on the occurrence of the signal are examined to determine that there is no work to be done, and the process pauses awaiting work by using sigpause with the mask returned by sigblock.

SEE ALSO
sigblock(2), sigvec(2)